package com.izouma.uwip.enums;

/*
国内申请流程
1 客户经理
2 项目经理
 */
public enum DomesticWorkflow {
    ADD_SUPPLIERS("待添加供应商",2),
    SUPPLIER_MATERIALS("待提交供应商材料",2),
    MAINTAIN_CASE("待维护案件",1),
    PENDING_REVIEW("待审查",1),
    PENDING_REGISTER("待办登",1),
    REGISTER("办理登记",2),
    ANNUAL_FEE("待维护年费信息",1),
    COMPLETED("已完成",1),
    ;

    private final String description;
    private final int    authority;

    public String getDescription() {
        return description;
    }

    public int getAuthority() {
        return authority;
    }

    DomesticWorkflow(String description, int authority) {
        this.description = description;
        this.authority = authority;
    }
}
